include("misc.jl")

function leastSquares(X,y)

	# Find regression weights minimizing squared error
	w = (X'*X)\(X'*y)

	# Make linear prediction function
	predict(Xtilde) = Xtilde*w

	# Return model
	return LinearModel(predict,w)
end
